
<template>
    <transition
        enter-class="opacity-0 scale-90"
        enter-active-class="ease-out transition-fast"
        enter-to-class="opacity-100 scale-100"
        leave-class="opacity-100 scale-100"
        leave-active-class="ease-in transition-fast"
        leave-to-class="opacity-0 scale-90">
        <div role="tabpanel" class="origin-top-right" v-if="isActive">
            <slot></slot>
        </div>
    </transition>
</template>

<script>
    export default {
        name: "TabComponent",
        props: {
            title: {},
            active: { type: Boolean, default: false }
        },
        data() {
            return {
                isActive: this.active
            };
        }
    }
</script>

<style scoped>
    .fade-enter-active, .fade-leave-active {
        transition: opacity .2s;
    }
    .fade-enter, .fade-leave-to {
        opacity: 0;
    }
</style>
